package com.steering.pss.plnsaleord.order.model;

/**
 * 数据库表SLM_ORDER_LEN所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF date 2017-05-26
 */
@SuppressWarnings("serial")
public class SlmOrderLenEntity implements java.io.Serializable {
    /**
     * 长度编码
     */
    private String lenNo = "";
    /**
     * 长度描述
     */
    private String lenDesc = "";
    /**
     * 长度分类
     */
    private String lenTyp = "";
    /**
     * 长度单位
     */
    private String lenUnit = "";
    /**
     * 下限
     */
    private String lenMin = "";
    /**
     * 上限
     */
    private String lenMax = "";
    /**
     * 短尺率(%)
     */
    private String shrtLenRato = "";
    /**
     * 短尺最短
     */
    private String shortest = "";
    /**
     * 长尺率(%)
     */
    private String longLenRato = "";
    /**
     * 长尺最长
     */
    private String longest = "";
    /**
     * 短尺随炉
     */
    private String shrtStove = "";
    /**
     * 平均长度大于
     */
    private String avgLenMin = "";
    /**
     * 最长最短差小于
     */
    private String difrncLenMax = "";
    /**
     * 单倍尺长
     */
    private String siglLen = "";
    /**
     * 成品公差
     */
    private String endlenSpecstd = "";
    /**
     * 使用次数
     */
    private String useTime = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 合同号
     */
    private String orderNo = "";
    /**
     * 合同行号
     */
    private String orderSeq = "";

    /**
     * 合同号
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 合同行号
     */
    public String getOrderSeq() {
        return orderSeq;
    }

    /**
     * 合同行号
     */
    public void setOrderSeq(String orderSeq) {
        this.orderSeq = orderSeq;
    }

    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";

    /**
     * 长度编码
     * @return value
     */
    public String getLenNo() {
        return lenNo;
    }

    /**
     * 长度编码
     * @param lenNo value
     */
    public void setLenNo(String lenNo) {
        this.lenNo = lenNo;
    }

    /**
     * 长度描述
     * @return value
     */
    public String getLenDesc() {
        return lenDesc;
    }

    /**
     * 长度描述
     * @param lenDesc value
     */
    public void setLenDesc(String lenDesc) {
        this.lenDesc = lenDesc;
    }

    /**
     * 长度分类
     * @return value
     */
    public String getLenTyp() {
        return lenTyp;
    }

    /**
     * 长度分类
     * @param lenTyp value
     */
    public void setLenTyp(String lenTyp) {
        this.lenTyp = lenTyp;
    }

    /**
     * 长度单位
     * @return value
     */
    public String getLenUnit() {
        return lenUnit;
    }

    /**
     * 长度单位
     * @param lenUnit value
     */
    public void setLenUnit(String lenUnit) {
        this.lenUnit = lenUnit;
    }

    /**
     * 下限
     * @return value
     */
    public String getLenMin() {
        return lenMin;
    }

    /**
     * 下限
     * @param lenMin value
     */
    public void setLenMin(String lenMin) {
        this.lenMin = lenMin;
    }

    /**
     * 上限
     * @return value
     */
    public String getLenMax() {
        return lenMax;
    }

    /**
     * 上限
     * @param lenMax value
     */
    public void setLenMax(String lenMax) {
        this.lenMax = lenMax;
    }

    /**
     * 短尺率(%)
     * @return value
     */
    public String getShrtLenRato() {
        return shrtLenRato;
    }

    /**
     * 短尺率(%)
     * @param shrtLenRato value
     */
    public void setShrtLenRato(String shrtLenRato) {
        this.shrtLenRato = shrtLenRato;
    }

    /**
     * 短尺最短
     * @return value
     */
    public String getShortest() {
        return shortest;
    }

    /**
     * 短尺最短
     * @param shortest value
     */
    public void setShortest(String shortest) {
        this.shortest = shortest;
    }

    /**
     * 长尺率(%)
     * @return value
     */
    public String getLongLenRato() {
        return longLenRato;
    }

    /**
     * 长尺率(%)
     * @param longLenRato value
     */
    public void setLongLenRato(String longLenRato) {
        this.longLenRato = longLenRato;
    }

    /**
     * 长尺最长
     * @return value
     */
    public String getLongest() {
        return longest;
    }

    /**
     * 长尺最长
     * @param longest value
     */
    public void setLongest(String longest) {
        this.longest = longest;
    }

    /**
     * 短尺随炉
     * @return value
     */
    public String getShrtStove() {
        return shrtStove;
    }

    /**
     * 短尺随炉
     * @param shrtStove value
     */
    public void setShrtStove(String shrtStove) {
        this.shrtStove = shrtStove;
    }

    /**
     * 平均长度大于
     * @return value
     */
    public String getAvgLenMin() {
        return avgLenMin;
    }

    /**
     * 平均长度大于
     * @param avgLenMin value
     */
    public void setAvgLenMin(String avgLenMin) {
        this.avgLenMin = avgLenMin;
    }

    /**
     * 最长最短差小于
     * @return value
     */
    public String getDifrncLenMax() {
        return difrncLenMax;
    }

    /**
     * 最长最短差小于
     * @param difrncLenMax value
     */
    public void setDifrncLenMax(String difrncLenMax) {
        this.difrncLenMax = difrncLenMax;
    }

    /**
     * 单倍尺长
     * @return value
     */
    public String getSiglLen() {
        return siglLen;
    }

    /**
     * 单倍尺长
     * @param siglLen value
     */
    public void setSiglLen(String siglLen) {
        this.siglLen = siglLen;
    }

    /**
     * 成品公差
     * @return value
     */
    public String getEndlenSpecstd() {
        return endlenSpecstd;
    }

    /**
     * 成品公差
     * @param endlenSpecstd value
     */
    public void setEndlenSpecstd(String endlenSpecstd) {
        this.endlenSpecstd = endlenSpecstd;
    }

    /**
     * 使用次数
     * @return value
     */
    public String getUseTime() {
        return useTime;
    }

    /**
     * 使用次数
     * @param useTime value
     */
    public void setUseTime(String useTime) {
        this.useTime = useTime;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }
}
